with (import <nixpkgs> {});
let
  vueCli = pkgs.fetchFromGitHub {
    owner = "vuejs";
    repo = "vue-cli";
    rev = "v4.5.15";
    sha256 = "sha256-zJhk7tZAjqGLQOSTs3t5pj5qNtwersItGUM2oD4/R8o=";
  };
in mkShell {
  buildInputs = [
    yarn
    nodejs
    vueCli
  ] ++ (with pkgs.nodePackages; [
    npm
    nodemon
  ]);
  shellHook = ''
    export NAME="vue-shell"
export PATH=$(yarn bin):$PATH

    '';
}

